using System;
using Microsoft.Xna.Framework;

namespace KinPortal {
	public class Portal : InterruptorObject {
		public Vector3 Normal {
			get {
				return Vector3.Transform(new Vector3(1, 0, 0), Rot);
			}
		}

		public Vector3 Up {
			get {
				return Vector3.Transform(new Vector3(0, 0, 1), Rot);
			}
		}

		public Portal(string filepath, Vector3 pos, Quaternion rot, Scene scene)
				: base(filepath, pos, rot, scene, ShapeType.TRIANGULATE, true, new NoTargetingStrategy(), new PortalCollisionStrategy()) {}

		public Portal(string filepath, Scene scene)
				: this(filepath, Vector3.Zero, Quaternion.Identity, scene) {}
	}
}
